Subject: bug#33294: xwidget-insert crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Nov 2018 09:44:22 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Robert Pluim <[email-masked]>, [email-masked], [email-masked],
>         [email-masked]
> Date: Thu, 08 Nov 2018 15:15:50 -0500
> 
> > I admit I don't understand why PVEC_XWIDGET and PVEC_XWIDGET_VIEW are
> > in the "impossible" cases.  They are first-class Lisp objects, AFAICT.
> 
> If you say so, then they most likely are, indeed.  I personally didn't
> (and still don't) know enough about those to know what to do with them.

Can you tell what are the guidelines for putting a PVEC object into
the "impossible" category in the context of type-of?